{% extends "dashboard/base.html" %}
{% load general_tags %}
{% load i18n %}
{% load bootstrap %}
{% load static %}

{% block stylesheet %}
<link href="{% static 'css/plugins/select2/select2.min.css' %}" rel="stylesheet">
<link href="{% static 'css/plugins/chosen/bootstrap-chosen.css' %}" rel="stylesheet">
<link href="{% static 'css/timeline.css' %}" rel="stylesheet">


{% endblock stylesheet  %}

{% block breadcrumb %}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>{% trans "Crear Rúbrica" %}</h2>
        <ol class="breadcrumb">
            <li>
                <a href="{% url 'dashboard' %}">{% trans "Dashboard" %}</a>
            </li>
            <li>
                <a href="{% url 'dashboard' %}">{% trans "Planificación" %}</a>
            </li>
            <li class="active">
                <strong>{% trans "Crear Rúbrica" %}</strong>
            </li>
        </ol>
    </div>
    <div class="col-lg-2">

    </div>
</div>

{% endblock breadcrumb %}

{% block content %}

<div class="row">
    <div class="col-lg-12">
        <div class="ibox">
            <div class="ibox-title blue-bg">
                <h5 style="font-size:20px;">Nueva Rúbrica</h5>
                <div class="ibox-tools">
                    <a class="collapse-link">
                        <i class="fa fa-chevron-up" style="color:white"></i>
                    </a>
                </div>
            </div>
            <div class="ibox-content">
                <div class="row">
                    <div class="col-md-4">{{forms.title|bootstrap}}</div>
                    <div class="col-md-4">{{forms.carreer|bootstrap}}</div>
                    <div class="col-md-4">{{forms.cantidadsemanas|bootstrap}}</div>
                </div>
                <div class="row">
                    <div class="col-md-12">{{forms.description|bootstrap}}</div>
                </div> 
                <div class="row">
                   <h2 class="text-center">Configuracion de Sesiones</h2>
                   <br>
                    <div class="stepwizard">
                        <div class="stepwizard-row" id="timeline">
                        </div>
                    </div>
                </div><hr>
                <div class="row">
                   <div class="col-md-12">
                        <a type="button" id="holi" class="btn btn-block btn-primary">Crear Rúbrica</a>
                   </div>
                </div>               
            </div>
        </div>
    </div>
</div>


{% endblock content %}


{% block javascript %}

<script src="{% static 'js/plugins/select2/select2.full.min.js' %}"></script>
<script src="{% static 'js/plugins/chosen/chosen.jquery.js' %}"></script>


<script>

$(document).ready(function(){
    $("#id_carrera").select2();
    $("#id_asignaturas").select2();
    $('#id_hitos').select2();
    
    $("#id_cantidadsemanas").change(function(){
        html = "";
        for (i = 1; i <= $(this).val(); i++) {
        html += '<div class="stepwizard-step">\
                    <button type="button" id="' + i + '" class="btn btn-success btn-circle">' + i + '</button>\
                </div>';
        }
        $("#timeline").html(html);
        for (u = 1; u <= $(this).val(); u++){
            id = "#" + u;
            $(id).popover({
            placement: 'top',
            html: 'true',
            content :  '<button value="s" data-h="' + u + '" class="btn btn-block s btn-primary">Semana</button>\
                        <button value="h" data-h="' + u + '" class="btn btn-block s btn-warning">Hito</button>\
                        <button value="a" data-h="' + u + '" class="btn btn-block s btn-danger">ABET</button>'
            });
        }
    
    });
    
    $(document).on("click", ".s", function() {
            var value = $(this).val();
            var id = "#" + $(this).attr("data-h");
            if(value == "s"){
                if($(id).val() == "a"){
                    $(id).attr("class"," ");
                    $(id).val("s_a")
                    $(id).addClass("btn btn-circle btn-success semana_abet");
                }
                else{
                    $(id).attr("class"," ");
                    $(id).addClass("btn btn-circle btn-primary");
                    $(id).val(value);
                }

            }
            else if(value == "h"){
                if($(id).val() == "a"){
                    $(id).attr("class"," ");
                    $(id).val("h_a")
                    $(id).addClass("btn btn-circle btn-primary hito_abet");
                }
                else{
                    $(id).attr("class"," ");
                    $(id).addClass("btn btn-circle btn-warning");
                    $(id).val(value);
                }
            }
            else if(value == "a"){
                if($(id).val() == "s"){
                    $(id).attr("class"," ");
                    $(id).val("s_a")
                    $(id).addClass("btn btn-circle btn-primary semana_abet");
                }
                else if($(id).val() == "h"){
                    $(id).attr("class"," ");
                    $(id).val("h_a")
                    $(id).addClass("btn btn-circle btn-primary hito_abet");
                }
                else{
                    $(id).attr("class"," ");
                    $(id).addClass("btn btn-circle btn-danger");
                    $(id).val(value);
                }
            }        
            
        });
    
    $('html').on('mouseup', function(e) {
    if(!$(e.target).closest('.popover').length) {
        $('.popover').each(function(){
            $(this.previousSibling).popover('hide');
        });
    }
    });
    
    
    
    $("#holi").click(function() {
        var sesiones = [];
        var id = "";
        var valor = "";
        var termino = $("#id_cantidadsemanas").val();
        valor = $("#1").val();
        for(p=1;p <= termino; p++){
            id = "#" + p;
            valor = $(id).val();
            sesiones.push(valor);
            
        }
        sesiones = JSON.stringify(sesiones);
        data = {
                sessions : sesiones,
                title : $("#id_title").val(),
                carreer : $("#id_carreer").val(),
                description : $("#id_description").val(),
                csrfmiddlewaretoken: '{{ csrf_token }}'
            }
        
        $.post("{% url 'planning_rubric_create' %}",data,function(response){
            window.location = "/dashboard/planning/rubric_details/" + response.pk
        });
        
    });

});

</script>

{% endblock javascript %}

